System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IDisposable System.Runtime.InteropServices.ComVisible(true)

Containers are objects that encapsulate and track zero or more components. In this context, containment refers to logical containment, not visual containment. You can use components and containers in a variety of scenarios, including scenarios that are both visual and not visual.

Provides functionality for containers. Containers are objects that logically contain zero or more components.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The new is added at the end of the list.

  Adds the specified to the at the end of the list.

  The to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The new is added at the end of the list.

  Adds the specified to the at the end of the list, and assigns a name to the component.

  The to add. The unique, case-insensitive name to assign to the component.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ComponentCollection To be added: an object of type 'ComponentCollection' To be added

  Gets all the components in the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a component from the .

  The to remove.